
Prewikka - Bug #522

Memory Error in stats

08/21/2012 02:51 PM - Antoine LUONG

Status: Closed Start date: 08/21/2012

Priority: Normal Due date:  

Assignee: Antoine LUONG % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Every tab in the stats section shows this error:

Traceback (most recent call last):

  File "/usr/lib/python2.6/site-packages/prewikka/Core.py", line 350, in process

    getattr(view_object, view["handler"])()

  File "/usr/lib/python2.6/site-packages/prewikka/views/stats.py", line 504, in render

    self._renderClassificationsTrend(criteria)

  File "/usr/lib/python2.6/site-packages/prewikka/views/stats.py", line 493, in _renderClassificat

ionsTrend

    "alert.classification.text", criteria, limit = 10, zoom_type="classifications_trend")

  File "/usr/lib/python2.6/site-packages/prewikka/views/stats.py", line 448, in _addTimelineChart

    timeline.render(title)

  File "/usr/lib/python2.6/site-packages/prewikka/Chart.py", line 311, in render

    x_labels = self._labels, series_legend=True, series_colors=colors)

  File "/usr/lib/python2.6/site-packages/prewikka/cairoplot.py", line 2003, in dot_line_plot

    plot.render()

  File "/usr/lib/python2.6/site-packages/prewikka/cairoplot.py", line 451, in render

    self.calc_all_extents()

  File "/usr/lib/python2.6/site-packages/prewikka/cairoplot.py", line 416, in calc_all_extents

    self.calc_extents(HORZ)

  File "/usr/lib/python2.6/site-packages/prewikka/cairoplot.py", line 393, in calc_extents

    self.max_value[direction] = max(self.context.text_extents(item)[2] for item in self.labels[dir

ection])

  File "/usr/lib/python2.6/site-packages/prewikka/cairoplot.py", line 393, in <genexpr>

    self.max_value[direction] = max(self.context.text_extents(item)[2] for item in self.labels[dir

ection])

MemoryError

History

#1 - 08/21/2012 02:57 PM - Antoine LUONG

- Status changed from New to Resolved

- Assignee set to Antoine LUONG

- % Done changed from 0 to 100

This is a cairo issue, occurring when there are no suitable fonts available on the system.

On CentOS 6, you can install the package xorg-x11-fonts-Type1 to resolve the issue.

#2 - 10/17/2016 03:42 PM - Antoine LUONG

- Status changed from Resolved to Closed
